Bug 1814249 - Response header names in lower case
Summary: Response header names in lower case
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 13:43 UTC by Petr Kremensky
Modified: 2020-03-23 12:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-20 09:47:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Kremensky 2020-03-17 13:43:00 UTC
Description of problem:
The response headers returned by OCP 4.4 are lower cased. We asked a question regarding this in https://projects.engineering.redhat.com/browse/LPINTEROP-812 EAP: OPENSHIFT 4.4 feature_freeze Testing but didn't get any response. Is this change documented somewhere (e.g. will be part of OCP 4.4 release notes)?

Version-Release number of selected component (if applicable):
4.4.0-0.nightly-2020-03-15-192859

How reproducible:
Always

Actual results:
< HTTP/1.1 200 OK
< last-modified: Tue, 17 Mar 2020 12:42:22 GMT
< default-name: Default-value
< specific-name: Specific-value
< content-type: text/html
< content-length: 89
< accept-ranges: bytes
< date: Tue, 17 Mar 2020 13:03:48 GMT
* Added cookie 19ffea847f6929ff553a11ac7c20fbd0="ee85ce18687be6810244f1ea85016ecf" for domain response-header-filter-pkremens-namespace.apps.ocp44-0-ydx2.dynamic.xpaas, path /, expire 0
< set-cookie: 19ffea847f6929ff553a11ac7c20fbd0=ee85ce18687be6810244f1ea85016ecf; path=/; HttpOnly
< cache-control: private

Expected results:
< HTTP/1.1 200 OK
< Last-Modified: Tue, 17 Mar 2020 13:26:46 GMT
< Default-name: Default-value
< Specific-name: Specific-value
< Content-Type: text/html
< Content-Length: 89
< Accept-Ranges: bytes
< Date: Tue, 17 Mar 2020 13:30:09 GMT
* Added cookie 19ffea847f6929ff553a11ac7c20fbd0="f4e015eedca6eaba17d2efc6decd1143" for domain response-header-filter-pkremens-namespace.apps-crc.testing, path /, expire 0
< Set-Cookie: 19ffea847f6929ff553a11ac7c20fbd0=f4e015eedca6eaba17d2efc6decd1143; path=/; HttpOnly
< Cache-control: private

Additional info:
The change is not violating the spec, see https://www.w3.org/Protocols/rfc2616/rfc2616-sec4.html#sec4.2 "Each header field consists of a name followed by a colon (":") and the field value. Field names are case-insensitive."

Comment 1 Petr Kremensky 2020-03-17 13:48:43 UTC
"Expected results:" from description are taken from OCP 4.x releases prior 4.4.

Comment 4 Maciej Szulik 2020-03-20 09:47:52 UTC
If RFC is clear about this with "Field names are case-insensitive." I don't see what we should fix.

Comment 5 Petr Kremensky 2020-03-20 13:54:45 UTC
Hi Maciej, this one was similar to https://kubernetes.io/blog/2019/07/18/api-deprecations-in-1-16/, please see https://projects.engineering.redhat.com/browse/LPINTEROP-812. Though according to spec, this one is a change in behaviour, question here is whether it will be part of the OCP docs or release notes for OCP 4.4.

Comment 6 Maciej Szulik 2020-03-23 11:58:05 UTC
(In reply to Petr Kremensky from comment #5)
> Hi Maciej, this one was similar to
> https://kubernetes.io/blog/2019/07/18/api-deprecations-in-1-16/, please see
> https://projects.engineering.redhat.com/browse/LPINTEROP-812. Though
> according to spec, this one is a change in behaviour, question here is
> whether it will be part of the OCP docs or release notes for OCP 4.4.

We've raised this problem some time ago with our docs team, they will be linking 
kubernetes release notes in OCP release notes.

Comment 7 Petr Kremensky 2020-03-23 12:27:50 UTC
Perfect, thanks for confirmation!


Note You need to log in before you can comment on or make changes to this bug.